Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class GroovyDocTool

Field Summary
`GroovyRootDocBuilder` | `rootDocBuilder`
`GroovyDocTemplateEngine` | `templateEngine`

Constructor Summary
`GroovyDocTool(String sourcepath)` Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
`GroovyDocTool(ResourceManager resourceManager, String sourcepath, String classTemplate)`
`GroovyDocTool(ResourceManager resourceManager, String sourcepath, def docTemplates, def packageTemplates, def classTemplates, List links)`

Method Summary
`void` | `add(String filename)`
`String` | `getFile(String filename)`
`String` | `getPath(String filename)`
`GroovyRootDoc` | `getRootDoc()`
`void` | `renderToOutput(OutputTool output, String destdir)`

Constructor Detail

### GroovyDocTool

    public GroovyDocTool(String sourcepath)

  Constructor for use by people who only want to interact with the Groovy Doclet Tree (rootDoc)
  param:
    sourcepath where the sources to be added can be found

### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager, String sourcepath, String classTemplate)

### GroovyDocTool

    public GroovyDocTool(ResourceManager resourceManager, String sourcepath, def docTemplates, def packageTemplates, def classTemplates, List links)

Method Detail

### add

    public void add(String filename)

### getFile

    public String getFile(String filename)

### getPath

    public String getPath(String filename)

### getRootDoc

    public GroovyRootDoc getRootDoc()

### renderToOutput

    public void renderToOutput(OutputTool output, String destdir)